Bug 11544 - anaconda/loader crashes with "error: file exists"
anaconda/loader crashes with "error: file exists"
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: anaconda (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-20 21:00 EDT by Matthew Campbell
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-17 17:39:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Campbell 2000-05-20 21:00:48 EDT
I downloaded the pcmcia.img boot disk from rawhide (at the rpmfind.net mirror) and tried to use it to upgrade my Red Hat Linux 6.2 system over the Internet using a PCMCIA Ethernet card.  I booted the installer in text mode and chose to use the FTP installation method.  I used rpmfind.net as the FTP site and entered /linux/rawhide/1.0/i386 as the directory.  The loader then downloaded the /mnt/runtime and /mnt/runtime/usr RAM disks.  Then it briefly displayed "error: file exists" at the bottom of the screen and crashed with signal 11 (a segmentation fault).  At that time init halted the system.
Comment 1 Matthew Campbell 2000-05-20 23:09:59 EDT
Well, it seems that the "error: file exists" error doesn't have any effect on what happens next.  In fact, it may have been present in previous released versions of Red Hat Linux.  What really concerns us is the segmentation fault.
Comment 2 Peter H. Jones 2000-05-27 02:27:59 EDT
I am trying to upgrade on a, using the pcmcia.img diskette
of May 26, 2000, selecting an installation from the hard disk.
After selecting "Upgrade Existing Installation", I get
a traceback something like this (reformatted)

Traceback (innermost last):
File "/usr/bin/anaconda.real" line 392 in ?
   intf.run(todo,test=test)
File "/var/tmp/anaconda-7.0/usr/lib/anaconda/text.py in line 1058 in run
File "/usr/tmp/anaconda-7.0/usr/lib/anaconda/text.py line 328
in __call__Value Error:
unpack sequence of wrong size

If I select Debug, I can only get a listing of /usr/bin/anaconda.real; the
other levels give me EOF when I try to list.
Comment 3 Michael Fulbright 2000-06-16 11:29:01 EDT
Passed to test lab to reproduce.
Comment 4 Peter H. Jones 2000-06-16 13:06:55 EDT
I see a new version of Rawhide is on the servers, (June 13). I'll try again
with that version. It may take me a couple of weeks to report back, as I'll
be travelling.
Comment 5 Brock Organ 2000-06-23 10:13:44 EDT
also, you may try with the install pointing to the 6.2 release, as a control to
isolate the problem to rawhide ... if this problem occurs installing the 6.2
release, please let us know ...!

Thanks for your report!
Comment 6 Michael Fulbright 2000-08-17 17:39:47 EDT
Please reopen this report if you continue to have problems.

Note You need to log in before you can comment on or make changes to this bug.